// Logo Rotation and Zooming 
.block {
    &__logo {
        img {
            transition: .5s linear;
        }

        img:hover {
            transform: scale(1.4) rotateY(180deg);

        }
    }
}

// Rotation of the Read More Button
.main {
    &__button {
        transform-origin: 0% 50%;
        transition: .2s linear;
    }

    &__button:hover {
        transform: rotateZ(10deg);
    }
}

// Video Button Transformation
.learn-more {
    &__button-container {
        transition: all .5s linear;
    }
    
    &__button-container:hover &__button {
        color: #39C2D7;
    }
    
    &__button-container:hover {
        background: white;
    }


}

/* BACKGROUND ANIMATION */
/* Desktop */
/* Stars animation */
.background {
    // Stars animation
    &__stars_animation {
        animation: stars 3s ease-out 0s infinite alternate both;
    }
    
    /* Shine animation */
    &__shine_animation {
        animation: shine 3s ease-in-out 0s infinite alternate forwards;
    }
}

/* Mobile */
@media only screen and (max-width: 768px) {
    .background {
        // Stars animation
        &__stars_animation {
            animation: stars-mobile 2.5s ease-out 0s infinite alternate both;
        }
        
        // Shine animation
        &__shine_animation {
            animation: shine 3s ease-in-out 0s infinite alternate both;
        }
    }
}


@keyframes stars {
    0%, 10% {
        transform: scaleX(1) scaleY(1);
    }
    100%  {
        transform: translateX(-20px) scaleY(1.05);
    }
}

@keyframes stars-mobile {
    0%, 5% {
        transform: scaleX(1) scaleY(1);
    }
    100%  {
        transform: translateX(-15px) scaleY(1.04);
    }
}

@keyframes shine {
    0%, 5%{
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}